Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 709274 - net-mail/mailutils fails to compile with -fno-common / gcc-10
Summary: net-mail/mailutils fails to compile with -fno-common / gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Eray Aslan
URL:
Whiteboard:
Keywords: PATCH
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-02-11 09:20 UTC by Hanno Böck
Modified: 2020-03-23 11:49 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
files/mailutils-3.4-fno-common.patch (mailutils-3.4-fno-common.patch,336 bytes, patch)
2020-02-18 10:06 UTC, Jeroen Roovers
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Hanno Böck gentoo-dev 2020-02-11 09:20:07 UTC
I also reported this to upstream with a patch attached:
http://savannah.gnu.org/bugs/?57787
Comment 1 Jeroen Roovers gentoo-dev 2020-02-18 10:06:58 UTC
Created attachment 614240 [details, diff]
files/mailutils-3.4-fno-common.patch
Comment 2 Larry the Git Cow gentoo-dev 2020-02-23 14:09:53 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5b6a443003a74df1ac2d620fd37de88316af6646

commit 5b6a443003a74df1ac2d620fd37de88316af6646
Author:     David Seifert <soap@gentoo.org>
AuthorDate: 2020-02-23 14:09:21 +0000
Commit:     David Seifert <soap@gentoo.org>
CommitDate: 2020-02-23 14:09:21 +0000

    net-mail/mailutils: Fix building with GCC 10
    
    Bug: https://bugs.gentoo.org/709274
    Package-Manager: Portage-2.3.89, Repoman-2.3.20
    Signed-off-by: David Seifert <soap@gentoo.org>

 .../mailutils/files/mailutils-3.4-fno-common.patch | 11 +++++++++++
 .../mailutils/files/mailutils-3.8-fno-common.patch | 22 ++++++++++++++++++++++
 net-mail/mailutils/mailutils-3.4-r3.ebuild         |  6 ++++--
 net-mail/mailutils/mailutils-3.7.ebuild            |  7 +++++--
 net-mail/mailutils/mailutils-3.8.ebuild            |  9 +++++----
 5 files changed, 47 insertions(+), 8 deletions(-)
Comment 3 Eray Aslan gentoo-dev 2020-03-23 11:49:03 UTC
already fixed.  closing